function [euclid_distance] =  euclid(sequenceA,sequenceB)
% Description:
%       This function calculates the euclid distance between
%       two sequences. 
% Input:
%       sequenceA - a gait cycle vector
%       sequenceB - a gait cycle vector
% Output:
%       euclid_distance - the  euclid distance
%
% Author:
%       Bendik B. Mjaaland, 2009
%       Norwegian University of Science and Technology (NTNU)
%       
% Disclaimer:
%       This piece of software is not copyrighted, and anyone are free to
%       use it in any context as long as the author information and
%       disclaimer is preserved.

sum = 0;
for i=1:length(sequenceA)
    sum = sum + abs((sequenceA(1,i) - sequenceB(1,i)));  
end
euclid_distance = sum;