function [] = createtemplates_all_fixed(folder_startname,amount,skip)
% Description:
%       This function creates tempates in subfolders of the input folder.
%       USES FIXED LENGTH NORMALIZATION
% Input:
%       folder_startname - folder containing subfolders for users. Will
%       compute templates for all raw data, given that their filenames
%       start with walk. The folders must have the same names, and with
%       a number ending it in the range [1,amount]. Eg TS01, TS02, TS02...
%       up to TSamount.
%       amount - number of folders to process
%       skip - number of folders to skip (e.g. skip = 10 processes
%       subfolders in the interval <TS10,TSamount]).
% Output:
%       None. Templates are created in the corresponding subfolder and
%       named t_[originalname].dat.
%
% Author:
%       Bendik B. Mjaaland, 2009
%       Norwegian University of Science and Technology (NTNU)
%       
% Disclaimer:
%       This piece of software is not copyrighted, and anyone are free to
%       use it in any context as long as the author information and
%       disclaimer is preserved.

for i=1+skip:amount
    if(i < 10)
        currentfolder = strcat(folder_startname,'0',int2str(i));
    else
        currentfolder = strcat(folder_startname,int2str(i));
    end
    createtemplates_fixed(currentfolder);
    strcat(int2str(i),' done')
end
