function [] = dtw_matrix_all(folder_startname,amount,skip,shifting_boolean)
%This function will create DTW matrixes for several FOLDERS. The
%folders must have the same names, and with a number ending it in the range
%[1,amount]. Eg TS01, TS02, TS02... up to TSamount.
% Description:
%       This function computes a matrix showing the DTW distnace between
%       all persons found in templatefolder, and repeats this for all
%       subfolders in the given folder.
% Input:
%       folder_startname - the folder containing subfolders for templates.
%       The folders must have the same names, and with a number ending
%       it in the range %[1,amount]. Eg TS01, TS02, TS02... up to TSamount.
%       Templates must be named starting with t_ and ending with .dat
%       (e.g. t_walk01.dat).
%       amount - number of folders to process
%       skip - number of folders to skip (e.g. skip = 10 processes
%       subfolders in the interval <TS10,TSamount]).
%       shifting_boolean - a binary value. If set to 1, shifting will be
%       used to determine minimal DTW distance. If set to 0, only the
%       original DTW will be used.
% Output:
%       None. DTW matrices stored in corresponding subfolder.
%
% Author:
%       Bendik B. Mjaaland, 2009
%       Norwegian University of Science and Technology (NTNU)
%       
% Disclaimer:
%       This piece of software is not copyrighted, and anyone are free to
%       use it in any context as long as the author information and
%       disclaimer is preserved.'

for i=1+skip:amount
    if(i < 10)
        currentfolder = strcat(folder_startname,'0',int2str(i));
    else
        currentfolder = strcat(folder_startname,int2str(i));
    end
    dtw_matrix(currentfolder,shifting_boolean);
    strcat(int2str(i),' done')
end

