function [resultant] = get_resultant(dir)
% Description:
%       This function calculates the resultant of the three-dimentional
%       acceleration data from the MR100 accelerometer.
% Input:
%       dir - three-dimentional acceleration data (three column table).
% Output:
%       resultant - acceleration amplitudes (one-column table)
%
% Author:
%       Bendik B. Mjaaland, 2009
%       Norwegian University of Science and Technology (NTNU)
%       
% Disclaimer:
%       This piece of software is not copyrighted, and anyone are free to
%       use it in any context as long as the author information and
%       disclaimer is preserved.

resultant = zeros(length(dir),1);

for i = 1:length(dir)
    resultant(i,1) = sqrt(dir(i,1)^2 + dir(i,2)^2 + dir(i,3)^2);
end